// coding: utf-8
/** Created by: Udo Schmal | https://www.gocher.me/ */
// smooth scroll to anchor
// css replacement
// html {scroll-behavior: smooth;}
// *[id] {scroll-margin-top: 80px; scroll-snap-margin-top:80px;}
(function() {
  'use strict';
  if (!'scrollBehavior' in document.documentElement.style ) {
    var els = document.querySelectorAll("[href^='#']");
    for(var i = 0; i < els.length; i++) {
      els[i].addEventListener('click', function (event) {
        if (this.hash !== "") {
          var el = document.getElementById(this.hash.substr(1));
          if (el) {
            // prevent default anchor click behavior
            event.preventDefault();
            var to = -80; // header height
            var from = window.pageYOffset;
            do {
              to += el.offsetTop;
              el = el.offsetParent;
            } while (el);
            var start = Date.now();
            var tick = function () {
              var t = Math.min(1, ((Date.now() - start) / 1000));
              var eased =  t<.5 ? 4*t*t*t : (t-1)*(2*t-2)*(2*t-2)+1;
              var val = (eased * (to - from)) + from;
              window.scrollTo(0, val);
              if (t<1) {
                window.requestAnimationFrame(tick);
              }
            };
            tick();
          }
        }
      });
    }
  }
})();